org.apache.thrift.server

## Class TNonblockingServer.Args

- java.lang.Object
- - org.apache.thrift.server.TServer.AbstractServerArgs<T>
  - - org.apache.thrift.server.TNonblockingServer.AbstractNonblockingServerArgs<TNonblockingServer.Args>
    - - org.apache.thrift.server.TNonblockingServer.Args

- Enclosing class:
    TNonblockingServer

      public static class TNonblockingServer.Args
      extends TNonblockingServer.AbstractNonblockingServerArgs<TNonblockingServer.Args>

- - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.server.TNonblockingServer.AbstractNonblockingServerArgs

      `maxReadBufferBytes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TNonblockingServer.Args(TNonblockingServerTransport transport)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.thrift.server.TServer.AbstractServerArgs

      `inputProtocolFactory, inputTransportFactory, outputProtocolFactory, outputTransportFactory, processor, processorFactory, protocolFactory, transportFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TNonblockingServer.Args

          public TNonblockingServer.Args(TNonblockingServerTransport transport)